#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: tasty-expected-failure
version: 0.11.0.4
id: tasty-expected-failure-0.11.0.4-KuagFvsleorJx8Jn2bxIZ2
key: tasty-expected-failure-0.11.0.4-KuagFvsleorJx8Jn2bxIZ2
license: MIT
copyright: 2015 Joachim Breitner
maintainer: mail@joachim-breitner.de
homepage: http://github.com/nomeata/tasty-expected-failure
synopsis: Mark tasty tests as failure expected
description:
    With the function '\''Test.Tasty.ExpectedFailure.expectFail'\'' in the provided module
    "Test.Tasty.ExpectedFailure", you can mark that you expect test cases to fail,
    and not to pass.
    .
    This can for example be used for test-driven development: Create the tests,
    mark them with '\''Test.Tasty.ExpectedFailure.expectFail'\'', and you can still push
    to the main branch, without your continuous integration branch failing.
    .
    Once someone implements the feature or fixes the bug (maybe unknowingly), the
    test suite will tell him so, due to the now unexpectedly passing test, and he
    can remove the '\''Test.Tasty.ExpectedFailure.expectFail'\'' marker.
    .
    The module also provides '\''Test.Tasty.ExpectedFailure.ignoreTest'\'' to avoid
    running a test. Both funtions are implemented via the more general
    '\''Test.Tasty.ExpectedFailure.wrapTest'\'', which is also provided.
category: Testing
author: Joachim Breitner
exposed: True
indefinite: False
exposed-modules:
    Test.Tasty.ExpectedFailure
abi: 88828b5c211ffd1d9a94e6c78389ef67
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/tasty-expected-failure-0.11.0.4
library-dirs: /usr/lib/ghc-8.2.1/site-local/tasty-expected-failure-0.11.0.4
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/tasty-expected-failure-0.11.0.4
hs-libraries: HStasty-expected-failure-0.11.0.4-KuagFvsleorJx8Jn2bxIZ2
depends:
    base-4.10.0.0 tagged-0.8.5-7Kuk6etyDBjGPRKMYpsbFG
    tasty-0.11.3-6R1Q5OcX2q3HPVtlsImNKo
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             tagged-0.8.5-7Kuk6etyDBjGPRKMYpsbFG=6c301deca00e1028f6b7aaf9783563bf
             tasty-0.11.3-6R1Q5OcX2q3HPVtlsImNKo=26f7bc55990e587504d4870db5f6032e
haddock-interfaces: /usr/share/doc/haskell-tasty-expected-failure/html/tasty-expected-failure.haddock
haddock-html: /usr/share/doc/haskell-tasty-expected-failure/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

